List Transaction History
Returns a history of transactions.
query Parameters
pagelimitorderblockchainThe blockchain identifier.
controllerdestinationAddressoperationstatuswalletIdsWallet IDs to filter transactions by. Separate multiple wallet IDs with commas.
txHashTransaction hash to filter transactions by.
refIdReference ID to filter transactions by.
contractAddressContract address to filter transactions by.
searchSearch by wallet name, address or ID, token ID, or transaction hash.
Headers
PLANBOK-X-API-KEYAPI key for authentication
List Transaction History › Responses
List of transactions
successstatusmessageEstimate Transfer Fee
Estimates fees for a token transfer.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Estimate Transfer Fee › Request Body
walletIdWallet ID
destinationAddressDestination address
tokenIdToken ID
amountsList of amounts to transfer
Estimate Transfer Fee › Responses
Fee estimation retrieved
successstatusmessageEstimate Contract Fee
Estimates fees for a hypothetical contract execution.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Estimate Contract Fee › Request Body
walletIdWallet ID
contractAddressContract Address
abiFunctionSignatureABI Function Signature e.g. transfer(address,uint256). For Solana and Near chain types use the operation name and operation parameter names like transfer(to,amount), ft_transfer(receiver_id,amount)
abiParametersArray of ABI/operation parameters in order of the function signature.
amountThe amount of native token in decimals, that will be sent to the contract abi execution. Optional field for payable api only, if not provided, no native token will be sent.
Estimate Contract Fee › Responses
Fee estimation retrieved
successstatusmessageCall Contract View Function
Executes a read-only (view/pure) contract function call. No signing or transaction record is created. Returns the decoded result from the blockchain.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Call Contract View Function › Request Body
walletIdWallet ID providing the context (blockchain, address as sender)
contractAddressContract/Program Address
abiFunctionSignatureFunction name/signature. EVM: "balanceOf(address) returns (uint256)", NEAR/Anchor: "ft_balance_of", Cosmos: "balance". IMPORTANT: EVM requires "returns (...)" to decode the result.
abiParametersArguments for the call. For JSON-based chains (NEAR, Cosmos, Solana), pass the JSON string as the first element of the array.
Call Contract View Function › Responses
Function result retrieved
successstatusTransfer Challenge
Starts a challenge for initiating a transfer from a customer wallet.
path Parameters
idCustomer ID
Headers
PLANBOK-X-API-KEYAPI key for authentication
Transfer Challenge › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
walletIdWallet ID
destinationAddressDestination address
tokenIdToken ID
amountsList of amounts to transfer
redirectUrlURL to redirect to after challenge completion.
feeLevelFee level
refIdReference ID (reference or description used to identify the transaction.)
Transfer Challenge › Responses
Transfer challenge created
successstatusmessageContract Execution Challenge
Starts a challenge for contract interaction from a customer wallet.
path Parameters
idCustomer ID
Headers
PLANBOK-X-API-KEYAPI key for authentication
Contract Execution Challenge › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
walletIdWallet ID
contractAddressContract Address
abiFunctionSignatureABI Function Signature e.g. transfer(address,uint256). For Solana and Near chain types use the operation name and operation parameter names like transfer(to,amount), ft_transfer(receiver_id,amount)
abiParametersArray of ABI/operation parameters in order of the function signature.
redirectUrlURL to redirect to after challenge completion.
amountThe amount of native token in decimals, that will be sent to the contract abi execution. Optional field for payable api only, if not provided, no native token will be sent.
feeLevelFee level
refIdReference ID (reference or description used to identify the transaction.)
Contract Execution Challenge › Responses
Contract execution challenge created
successstatusmessageCancel Transaction Challenge
Starts a challenge for cancelling a customer's pending transaction.
path Parameters
idCustomer ID
txIdTransaction ID
Headers
PLANBOK-X-API-KEYAPI key for authentication
Cancel Transaction Challenge › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
redirectUrlURL to redirect to after challenge completion.
Cancel Transaction Challenge › Responses
Cancel transaction challenge created
successstatusmessageAccelerate Transaction Challenge
Starts a challenge for accelerating a customer's pending transaction.
path Parameters
idCustomer ID
txIdTransaction ID
Headers
PLANBOK-X-API-KEYAPI key for authentication
Accelerate Transaction Challenge › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
redirectUrlURL to redirect to after challenge completion.
Accelerate Transaction Challenge › Responses
Accelerate transaction challenge created
successstatusmessage